process-extras-0.7.4: Process extras

Safe Haskell | None
Language | Haskell2010

System.Process.Text.Lazy

Contents

- Orphan instances

Synopsis

- readProcessWithExitCode :: FilePath -> [String] -> Text -> IO (ExitCode, Text, Text)
- readCreateProcessWithExitCode :: CreateProcess -> Text -> IO (ExitCode, Text, Text)

# Documentation

readProcessWithExitCode Source #

Arguments

:: FilePath | command to run
-> [String] | any arguments
-> Text | standard input
-> IO (ExitCode, Text, Text) | exitcode, stdout, stderr

Specialized version for backwards compatibility.

readCreateProcessWithExitCode Source #

Arguments

:: CreateProcess | command and arguments to run
-> Text | standard input
-> IO (ExitCode, Text, Text) | exitcode, stdout, stderr

# Orphan instances

ListLikeProcessIO Text Char Source # | Like `readProcessWithExitCode`, but using `Text`
Instance details Methods forceOutput :: Text -> IO Text Source # readChunks :: Handle -> IO [Text] Source #
ProcessText Text Char Source # |
Instance details